Distribution:   CCux-Linux
Packager:	Leif Middelschulte <leif.middelschulte@gmail.com>

Name:		prtunnel
Summary:        tunnel program for TCP/IP connections 
Version:	0.2.7
Release:	1
Provides:	%{name}
License:	BSD 
URL:		http://joshbeam.com/software/prtunnel.php
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
prtunnel is a program that can tunnel TCP/IP connections in a variety of ways, including through HTTP and SOCKS5 proxy servers. Some if its possible uses include:

    * Tunneling TCP connections from client programs to a remote server through an HTTP or SOCKS5 proxy (useful if you're behind such a proxy and want to use a program that doesn't have native proxy support)
    * Tunneling TCP connections from SOCKS-capable client programs through an HTTP or SOCKS5 proxy
    * Tunneling TCP connections from an IPv4 client program to an IPv6 server and vice-versa
    * Forwarding TCP connections
    * Running as a simple SOCKS proxy server


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%_bindir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 25 2006 Leif Middelschulte <leif.middelschulte@gmail.com> 0.2.7-1
- Initial Release
